Subject: Re: [PATCH net] net: mlx5: fix sizeof usage in health_care's reg_handler

From: Eli Cohen <[email-masked]>
Date: Mon, 5 Aug 2013 09:33:34 +0300

On Fri, Aug 02, 2013 at 03:11:32PM -0700, David Miller wrote:
> From: Daniel Borkmann <[email-masked]>
> Date: Fri,  2 Aug 2013 12:16:17 +0200
> 
> > Therefore, I strongly assume sizeof(*health->health) is being meant
> > to be passed as an argument. Interestingly, there are actually no

Daniel, you're fix is correct. I meant to pass the size of the struct
and not the size of the pointer.

> > in-tree users of mlx5_[un]register_health_report_handler(), but some
> > debugging modules might want to know the correct size instead.
> 
> I want these hooks and infrastructure removed immediately.
> 
> If there are no in-tree users there is no reason for them to
> exist at all.
> 

Hi Dave,
the intention here was to allow other module, if they so wish, to get
notified of any problems detected at the device. I understand that you
don't like this but is there another way to handle this requirement
which will be accepted?